# norootforbuild
%define pkg_name    memcached
%define src_version 3.0.3
%define pkg_version 3.0.3
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php7-memcached
Version:	%{pkg_version}
Release:	7.1
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php7-devel libmemcached libmemcached-devel gcc gcc-c++ pkg-config
BuildRequires:	cyrus-sasl-devel
Requires:	php7 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{src_version}.tgz
Summary:	Extension uses libmemcached lib for communicating with memcached servers

%description
This extension uses libmemcached library to provide API for communicating with memcached servers.
			
Authors:
---------

	Andrei Zmievski	

%debug_package

%prep
%setup -n %{pkg_name}-%{src_version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-memcached=%{_usr} --with-libdir=%{_lib} --with-libmemcached-dir=%{_prefix}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php7/conf.d
echo "; comment out next line to disable memcached extension in php" > %{buildroot}%{_sysconfdir}/php7/conf.d/memcached.ini
echo "extension = memcached.so" >> %{buildroot}%{_sysconfdir}/php7/conf.d/memcached.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php7/extensions/memcached.so
%config(noreplace) %{_sysconfdir}/php7/conf.d/memcached.ini

%doc CREDITS

%changelog
* Fri Feb 24 2017 cs@linux-administrator.com
- update to release 3.0.3
* Fri Apr 22 2016 cs@linux-administrator.com
- update to 3.0.0b1 (php7 branch)
* Fri Apr  4 2014 cs@linux-administrator.com
- update to 2.2.0
* Tue Jan 14 2014 cs@linux-administrator.com
- update to 2.2.0b1
